cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
276
Views
0
Helpful
5
Replies
Highlighted
Beginner

eXR (asr9901) service pack installation

Hello.

Just recently added first eXR (asr9901) router to my network. Router came with 6.6.2, and I upgraded it to 6.6.3 before installation on site.

Most routers in my network is asr9001 with cXR 6.4.2 and I have a quite good experience with them but eXR is completely new thing.

Now there is a SP1 available for 6.6.3 and because one of my two asr9901 is not in production yet, I rushed to install a SP1 before putting it to production. Everything was done according to config guide and from experience with 9001 - adding a SP, testing it, and finally activating it. Unfortenately it just not working with eXR :(

Everything went ok until activating phase, then I got a message:

RP/0/RSP0/CPU0:asr9901#install activate id 20 synchronous
Mon May 11 14:13:55.054 EEST
May 11 14:13:56 Install operation 21 started by me:
install activate id 20 synchronous
May 11 14:13:56 Package list:
May 11 14:13:56 asr9k-iosxr-routing-64-1.0.0.1-r663.CSCvt31267.x86_64
May 11 14:13:56 asr9k-gcp-fwding-64-1.0.0.3-r663.CSCvt39175.x86_64
May 11 14:13:56 asr9k-common-pd-fib-64-1.0.0.1-r663.CSCvs09980.x86_64
May 11 14:13:56 asr9k-iosxr-infra-64-3.0.0.1-r663.CSCvs57574.x86_64
May 11 14:13:56 asr9k-sysadmin-asr9k-6.6.3.1-r663.CSCvt35884.x86_64
May 11 14:13:56 asr9k-mpls-te-rsvp-x64-3.1.0.1-r663.CSCvt40190.x86_64
May 11 14:13:56 asr9k-mpls-x64-2.0.0.1-r663.CSCvs24151.x86_64
May 11 14:13:56 asr9k-bng-x64-1.0.0.2-r663.CSCvs62931.x86_64
May 11 14:13:56 asr9k-fwding-64-5.0.0.4-r663.CSCvs06431.x86_64
May 11 14:13:56 asr9k-9000v-nV-x64-1.0.0.1-r663.CSCvs69886.x86_64
May 11 14:13:56 asr9k-iosxr-fwding-64-3.0.0.3-r663.CSCvs73564.x86_64
May 11 14:13:56 asr9k-iosxr-os-64-3.0.0.1-r663.CSCvs24130.x86_64
May 11 14:13:56 asr9k-isis-x64-1.2.0.1-r663.CSCvs38613.x86_64
May 11 14:14:05 Action 1: install prepare action started
May 11 14:14:37 The prepared software is set to be activated with reload upgrade
May 11 14:14:46 ERROR: Package Compatibility Check Failed.
ERROR: Package asr9k-bng-x64-1.0.0.2-r663.CSCvs62931.x86_64 requires asr9k-bng-x64 of version = 1.0.0.0 which is not present in the system
May 11 14:14:46 Action 1: install prepare action aborted
May 11 14:14:46 ERROR!! failed while complete prepare checks on packages

May 11 14:14:47 Install operation 21 aborted
May 11 14:14:47 Ending operation 21
RP/0/RSP0/CPU0:asr9901#

I do not have all feature packages on any of my ASRs, only ones that I need. With cXR (asr9001) there also was complaints that some packages can not be activated during SP activation, but everything worked. In case of eXR (asr9901) it doesn't.

What is wrong with it? Do I need all feature packages installed on eXR just to have a chance to flawlesly apply a service pack to 6.6.3?

There is a list with active packages currently on router:

RP/0/RSP0/CPU0:asr9901#sh install active
Wed May 13 12:48:35.425 EEST
Node 0/RSP0/CPU0 [RP]
Boot Partition: xr_lv13
Active Packages: 8
asr9k-xr-6.6.3 version=6.6.3 [Boot image]
asr9k-k9sec-x64-2.1.0.0-r663
asr9k-mcast-x64-2.0.0.0-r663
asr9k-mpls-te-rsvp-x64-3.1.0.0-r663
asr9k-mgbl-x64-2.0.0.0-r663
asr9k-ospf-x64-1.0.0.0-r663
asr9k-isis-x64-1.2.0.0-r663
asr9k-mpls-x64-2.0.0.0-r663

Node 0/0/CPU0 [LC]
Boot Partition: xr_lv13
Active Packages: 8
asr9k-xr-6.6.3 version=6.6.3 [Boot image]
asr9k-k9sec-x64-2.1.0.0-r663
asr9k-mcast-x64-2.0.0.0-r663
asr9k-mpls-te-rsvp-x64-3.1.0.0-r663
asr9k-mgbl-x64-2.0.0.0-r663
asr9k-ospf-x64-1.0.0.0-r663
asr9k-isis-x64-1.2.0.0-r663
asr9k-mpls-x64-2.0.0.0-r663

Yes, bng package is not installed but there is also other packages that are not installed, but error is only for bng package. What is a correct way to apply a SP in my situation?

br

Agris

5 REPLIES 5
Highlighted
Cisco Employee

Please open

 

asr9k-x64-6.6.3.k9-sp1.tar

 

remove this package from inside the tar file CSCvs62931

 

unlike the 32bit version, all the fixes were in a single .pie file. the 64bit is just a tar of all the rpm files.

as you do not have bng installed, you will need to remove the bng related rpm from the tar file

 

thanks!

Highlighted

What about other packages which are not installed? I must remove them also? So it turns out that for eXR there is no more such concept as Service packs, but so-called "service pack" is just a bunch of SMUs? 

br

Agris

Highlighted

yes, if we have rpms for base packages that are not installed we should remove them from the tar file

thanks

 

Highlighted

But how can I tell which packages should be activated? There is an output of current situation on router:

RP/0/RSP0/CPU0:asr#sh install active summary
Tue May 19 11:45:45.036 EEST
Active Packages: 8
asr9k-xr-6.6.3 version=6.6.3 [Boot image]
asr9k-k9sec-x64-2.1.0.0-r663
asr9k-mcast-x64-2.0.0.0-r663
asr9k-mpls-te-rsvp-x64-3.1.0.0-r663
asr9k-mgbl-x64-2.0.0.0-r663
asr9k-ospf-x64-1.0.0.0-r663
asr9k-isis-x64-1.2.0.0-r663
asr9k-mpls-x64-2.0.0.0-r663

RP/0/RSP0/CPU0:asr#sh install inactive summary
Tue May 19 11:46:21.258 EEST
12 inactive package(s) found:
asr9k-iosxr-routing-64-1.0.0.1-r663.CSCvt31267
asr9k-iosxr-os-64-3.0.0.1-r663.CSCvs24130
asr9k-gcp-fwding-64-1.0.0.3-r663.CSCvt39175
asr9k-isis-x64-1.2.0.1-r663.CSCvs38613
asr9k-common-pd-fib-64-1.0.0.1-r663.CSCvs09980
asr9k-fwding-64-5.0.0.4-r663.CSCvs06431
asr9k-mpls-x64-2.0.0.1-r663.CSCvs24151
asr9k-iosxr-infra-64-3.0.0.1-r663.CSCvs57574
asr9k-9000v-nV-x64-1.0.0.1-r663.CSCvs69886
asr9k-bng-x64-1.0.0.2-r663.CSCvs62931
asr9k-iosxr-fwding-64-3.0.0.3-r663.CSCvs73564
asr9k-mpls-te-rsvp-x64-3.1.0.1-r663.CSCvt40190

Which ones can I activate, and which ones not? It is clear that I have no installed a bng and 9000v but what about another ones? fwding? gcp? common? infra?

Just a try-and-miss approach? Or now it is mandatory to have a CSM server farm just to upgrade one eXR router?

br

Agris

Highlighted

Hi Adorins,

 

CSM will indeed help with prechecks to see what is compatible and what is not.

you can review the readme file that is provided with the service pack

 

https://www.cisco.com/web/software/286224007/151556/asr9k-x64-6.6.3.k9-sp1.txt

 

based on the features that the bugs fix, you can pick and choose which ones you may need

for example

                         CSCvs06431: Ingress Queuing support for MOD 200 8X10G MPA

would not be needed if you do not have this mod card.

 

Thanks